/*                                         */
/* This sets up our Grid for the Main Page */
/*                                         */

.grid-container {
    display: grid;
    grid-template-columns: 40% 60%;
    grid-gap: 10px;
    max-width: 90%;
    margin: 0 auto;
}

.toprow {
    background-color: #ccc;
    padding: 20px;
    height:300px;
    width:90%
}

.grid-item {
    background-color: #ccc;
    padding: 20px;
}

.span2 {
    grid-column: 1 / span 2; /* spans 2 columns starting from the first column */
    max-width: 94%;    
}

.taller {
    grid-row: 3;
    height: 400px;
}


/*                                               */
/* This sets Cell1 to contian the selected image */
/*                                               */
.cell1 {
    position: relative;
}

.img-display {
    position: absolute;
    top: 0;
    left: 0;
    max-width: 100%;
    max-height: 100%;
    z-index: 1;
    border: none;
}
#thumbnail-view {
    height: 100vh;
}

#image-display {
    height: 100%;
}



/*                                         */
/*    Image Thumbnail Container settings   */
/*                                         */

/* style for unordered list */
#image-list {
    list-style: none;
    margin: 0;
    padding: 0;
    border: 1px solid black; /* add a border to list items */
    overflow-y: auto; /* add a scrollbar to the list */
    max-height: calc(100% - 30px); /* ensure the list container doesn't overflow */
}

/* style for list items */
#image-list li {
    display: inline-block;
    border: 1px solid black; /* add a border to list items */
    margin: 5px;
    padding: 5px;
    text-align: center;
    min-width: 200px; /* set a minimum width */
    max-width: calc(50% - 10px); /* set a maximum width */
}

ul {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    list-style: none;
    padding: 0;
    margin: 0;
    height: 100%;
}

li {
    border: 1px solid black;
    margin: 10px;
    width: 200px;
    height: 200px;
}

#image-list li img:hover {
    transform: scale(1.1);
}

img {
    max-width: 100%;
    max-height: 100%;
    object-fit: contain;
    display: block;
    margin: auto;
    box-shadow: 0px 0px 5px 1px #FFFFB3;
}

    li img {
        display: block;
        max-width: 100%;
        max-height: 100%;
        margin: auto;
    }

